--
-- Rcsid[] = "$Id: ocnand.vhd,v 2.1 1993/10/06 01:04:36 alex Exp $";
--

-- This module consists of 8 nand gates and is used to enable the
-- outputs of the registers in the 8085 onto the 2 internal buses

entity ocnand is
port(
	O: out bit_vector(7 downto 0);
	I: in bit_vector(7 downto 0);
	ENABLE: in bit
	);
end;
architecture structure of ocnand is

begin
U0 : nand_gate generic map (2,2) port map(O(0),I(0),ENABLE);
U1 : nand_gate generic map (2,2) port map(O(1),I(1),ENABLE);
U2 : nand_gate generic map (2,2) port map(O(2),I(2),ENABLE);
U3 : nand_gate generic map (2,2) port map(O(3),I(3),ENABLE);
U4 : nand_gate generic map (2,2) port map(O(4),I(4),ENABLE);
U5 : nand_gate generic map (2,2) port map(O(5),I(5),ENABLE);
U6 : nand_gate generic map (2,2) port map(O(6),I(6),ENABLE);
U7 : nand_gate generic map (2,2) port map(O(7),I(7),ENABLE);
end structure;
